%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	rel	1
%define	release	%mkrel %{rel}
%define mversion 0.2

%define dont_strip 1

Summary: Innovative free MMORPG with 2D graphics
Name: themanaworld
Version: 0.0.29
Release: %release
Packager: Ertain
License: GPL
Group: Games/Adventure
URL: http://themanaworld.org/
Source0: http://dl.sf.net/themanaworld/tmw-%{version}.tar.gz
Source1: http://dl.sf.net/themanaworld/tmwmusic-%{mversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel
BuildRequires: guichan-devel >= 0.8.1
BuildRequires: physfs-devel
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_net-devel
BuildRequires: SDL_ttf-devel
BuildRequires: libpng-devel
BuildRequires: mesa-common-devel

%description
The Mana World (TMW) is a serious effort to create an innovative free and 
open source MMORPG. It uses 2D graphics and aims to create a large and 
diverse interactive world. The game aims to be a unique place for people to 
interact not only by fighting each other but to play life, form a community 
within the community, or just simply chat. Although the game is never-ending 
and a linear story cannot be applied, it should have enough background to 
describe and predefine tribes, kingdoms, and the environment overall. 
Fullfilled quests should lead to certain events depending on them being 
solved. Quests should also encourage teamwork.

%prep
%setup -n tmw-%version
# %patch0 -p1

%build
mv README README.tmw
tar xzvf %{SOURCE1}
mv tmwmusic-%{mversion}/README tmwmusic-%{mversion}/README.tmwmusic


%configure --with-opengl
%make

%install
rm -rf %buildroot
%makeinstall
install -d $RPM_BUILD_ROOT%_datadir/tmw/data/music
install -m 755 tmwmusic-%{mversion}/data/music/*.ogg  $RPM_BUILD_ROOT%_datadir/tmw/data/music

install -d $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=The Mana World
Comment=%{Summary}
Exec=tmw
Icon=tmv.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert data/icons/tmw.png -scale 16x16 $RPM_BUILD_ROOT%{_miconsdir}/tmv.png
convert data/icons/tmw.png -scale 32x32 $RPM_BUILD_ROOT%{_iconsdir}/tmv.png
convert data/icons/tmw.png -scale 48x48 $RPM_BUILD_ROOT%{_liconsdir}/tmv.png

%clean
rm -rf %buildroot

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README.tmw tmwmusic-%{mversion}/README.tmwmusic
%_bindir/tmw
%_datadir/locale/*/LC_MESSAGES/
%_datadir/pixmaps/tmw.png
%_datadir/applications/*.desktop
%_datadir/tmw/
%_mandir/man6
%_miconsdir/tmv.png
%_iconsdir/tmv.png
%_liconsdir/tmv.png

%changelog
* Wed May 20 2009 Jason Anderson (Ertain) <Sirius-C@iname.com> 0.0.29
- 0.0.29

* Wed Apr 22 2009 Jason Anderson (Ertain) <Sirius-C@iname.com> 0.0.28.1-1
- 0.0.28.1
- The music is 0.2.
- Took out the patch.
- Added the requirement for SDL_ttf-devel.

* Fri Aug 22 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 0.0.25-1
- 0.0.25

* Sat Mar 22 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 0.0.24-1
- 0.0.24

* Tue Nov 07 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.0.23-1
- 0.0.23

* Thu May 31 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.22.2-1
- 0.0.22.2

* Sun Jan 07 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.22-1
- Fix spec
- 0.0.22

* Thu Dec 07 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.21.1-1
- initial build for pclinuxos 2007
- 0.21.1

* Fri Sep 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.21-2
- Add opengl support

* Fri Sep 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.21-1
- 0.0.21

* Mon Aug 07 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.20-2
- Rebuild for mde
- Fix spec
u		
* Sun Aug 06 2006 Marcelo Garrone <mgarrone@users.sf.net> - 0.0.20-1
- Initial package.